﻿using System;
using System.Web.Mvc;

namespace MvcApplicationExample.Filters
{
    /// <summary>
    /// Filter, that can be used in combination with an action, to perform some operation
    /// after, or before the action. This one just simulates some work being done.
    /// </summary>
    public class IdleFilterAttribute : ActionFilterAttribute
    {
        /// <summary>
        /// Called after the action method is executed
        /// </summary>
        /// <param name="filterContext"></param>
        public override void OnActionExecuted(ActionExecutedContext filterContext)
        {
            // Simulating some work:
            System.Threading.Thread.Sleep(10000);
        }
    }
}
